For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewDIME UtilityTradingRisk & LiquidationsVTFsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewDIME UtilityTradingRisk & LiquidationsVTFsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
        • GETGet market bbo
        • GETGet market bbo including all orders including RPI (as seen by the UI)
        • GETFunding data history
        • GETList available markets
        • GETHistory of changes to market specifications
        • GETOHLCV for a symbol
        • GETSettlement price for a single market
        • GETList available markets summary
        • GETGet market orderbook
        • GETGet market impact price
        • GETGet market interactive orderbook
  • Testnet API Reference
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Production API ReferenceMarkets

History of changes to market specifications

GET
https://api.prod.paradex.trade/v1/markets/history
GET
/v1/markets/history
$curl -G https://api.prod.paradex.trade/v1/markets/history \
> -H "Authorization: <apiKey>" \
> -d market=BTC-USD-PERP
200Retrieved
1{
2 "results": [
3 {
4 "changed_fields": {
5 "asset_kind": "PERP",
6 "base_currency": "BTC",
7 "clamp_rate": 0.05,
8 "expiry_at": 0,
9 "funding_multiplier": 1,
10 "funding_period_hours": 8,
11 "interest_rate": 0.01,
12 "market_kind": "cross",
13 "max_funding_rate": 0.05,
14 "max_funding_rate_change": 0.0005,
15 "max_open_orders": 100,
16 "max_order_size": "100",
17 "max_slippage": 0.05,
18 "max_tob_spread": 0.2,
19 "min_notional": "3",
20 "open_at": 1762809600000,
21 "option_type": "CALL",
22 "oracle_ewma_factor": 0.2,
23 "order_size_increment": "0.001",
24 "position_limit": "500",
25 "price_bands_width": 0.05,
26 "price_tick_size": "0.01",
27 "quote_currency": "USD",
28 "settlement_currency": "USDC",
29 "settlement_price": 50000,
30 "strike_price": "66500",
31 "underlying_twap_price": 50000
32 },
33 "event_type": "UPDATED",
34 "symbol": "BTC-USD-PERP",
35 "updated_at": 1762809600000
36 }
37 ]
38}

Returns audit-driven events for market spec changes (listing, settlement, parameter updates) over the last 7 days. Source: market audit table; includes Ops manual changes.

Was this page helpful?
Previous

OHLCV for a symbol

Next
Built with

Query parameters

marketstringOptional
Market symbol to filter history. Omit or pass "ALL" for all markets.

Response

OK
resultslist of objects